/* Save:
 * 
 * Handles creating and deleting save files, serializing/deserializing
 * game data and writing it to files.
 */

#ifndef _H_SAVE
#define _H_SAVE

// Saves the currently loaded floor and the player.
void Save_SaveGame(void);
// Loads the player and the floor the player was on during last save.
// Returns 1 if the game was loaded, or 0 if no save file could be loaded.
int Save_LoadGame(void);
// Loads a particular floor, without affecting the player.
// Same return value as above.
int Save_LoadLevel(int);

// Deletes all save file(s)
void Save_RemoveSaves(void);

#endif
